> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atom14.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File Endpoint

> Delete a file and its evidence.

Args:
    file_id: UUID of the file

Returns:
    Success message



## OpenAPI

````yaml https://searchanything.onrender.com/openapi.json delete /api/files/{file_id}
openapi: 3.1.0
info:
  title: SearchAnything API
  description: Search across all your documents, images, and audio
  version: 1.0.0
servers: []
security: []
paths:
  /api/files/{file_id}:
    delete:
      tags:
        - Files
      summary: Delete File Endpoint
      description: |-
        Delete a file and its evidence.

        Args:
            file_id: UUID of the file

        Returns:
            Success message
      operationId: delete_file_endpoint_api_files__file_id__delete
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            title: File Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````